// EdgeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Edge.h"
#include "EdgeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEdgeDlg dialog

CEdgeDlg::CEdgeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEdgeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEdgeDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CEdgeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEdgeDlg)
	DDX_Control(pDX, IDC_TOP, m_top);
	DDX_Control(pDX, IDC_RIGHT, m_right);
	DDX_Control(pDX, IDC_LEFT, m_left);
	DDX_Control(pDX, IDC_EDGESTYLE, m_edgestyle);
	DDX_Control(pDX, IDC_BOTTOM, m_bottom);
	DDX_Control(pDX, IDC_ECMAIN, m_ecmain);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEdgeDlg, CDialog)
	//{{AFX_MSG_MAP(CEdgeDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDEXAMPLE, OnExample)
	ON_BN_CLICKED(IDHOWDOI, OnHowdoi)
	ON_BN_CLICKED(IDC_BOTTOM, OnBottom)
	ON_BN_CLICKED(IDC_LEFT, OnLeft)
	ON_BN_CLICKED(IDC_RIGHT, OnRight)
	ON_BN_CLICKED(IDC_TOP, OnTop)
	ON_CBN_SELCHANGE(IDC_EDGESTYLE, OnSelchangeEdgestyle)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEdgeDlg message handlers

BOOL CEdgeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_edgestyle.SetCurSel(1);
	m_bottom.SetCheck(TRUE);
	m_left.SetCheck(TRUE);
	m_right.SetCheck(TRUE);
	m_top.SetCheck(TRUE);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CEdgeDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CEdgeDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CEdgeDlg::OnExample() 
{
	CDialog dlg(IDD_EDGE_EXAMPLE);

	AfxMessageBox("This example was taken from Word 97", MB_OK | MB_ICONINFORMATION);

	dlg.DoModal();
}

void CEdgeDlg::OnHowdoi() 
{
	CDialog dlg(IDD_EDGE_HOWDOI);
	dlg.DoModal();
}

void CEdgeDlg::OnBottom() 
{
	m_ecmain.SetEdgeBottom(m_bottom.GetCheck());
}

void CEdgeDlg::OnLeft() 
{
	m_ecmain.SetEdgeLeft(m_left.GetCheck());	
}

void CEdgeDlg::OnRight() 
{
	m_ecmain.SetEdgeRight(m_right.GetCheck());	
}

void CEdgeDlg::OnTop() 
{
	m_ecmain.SetEdgeTop(m_top.GetCheck());	
}

void CEdgeDlg::OnSelchangeEdgestyle() 
{
	m_ecmain.SetEdgeStyle(m_edgestyle.GetCurSel());	
}
